Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.errorstripe.api/1 2.2.22 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.editor.errorstripe
Class UpToDateStatus

    java.lang.Object
      org.netbeans.spi.editor.errorstripe.UpToDateStatus

All Implemented Interfaces:
  Comparable

    public final class UpToDateStatus

extends Object
implements Comparable

Up-to-date status enumeration. See `UpToDateStatusProvider.getUpToDate()` for more information.

Field Summary
`static UpToDateStatus` | `UP_TO_DATE_DIRTY` Up-to-date status saying that the list of marks is not up-to-date, and nothing is currently done in order to get the up-to-date list.
`static UpToDateStatus` | `UP_TO_DATE_OK` Up-to-date status saying everything is up-to-date.
`static UpToDateStatus` | `UP_TO_DATE_PROCESSING` Up-to-date status saying that the list of marks is not up-to-date, but a up-to-date list of marks is currently being found.

Method Summary
`int` | `compareTo(Object o)`
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UP_TO_DATE_OK

    public static final UpToDateStatus UP_TO_DATE_OK

  Up-to-date status saying everything is up-to-date.

### UP_TO_DATE_PROCESSING

    public static final UpToDateStatus UP_TO_DATE_PROCESSING

  Up-to-date status saying that the list of marks is not up-to-date, but a up-to-date list of marks is currently being found.

### UP_TO_DATE_DIRTY

    public static final UpToDateStatus UP_TO_DATE_DIRTY

  Up-to-date status saying that the list of marks is not up-to-date, and nothing is currently done in order to get the up-to-date list.

Method Detail

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.errorstripe.api/1 2.2.22 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.